clang 10.0.0git

Classes | Namespaces | Typedefs
ProgramState.h File Reference
`#include "clang/Basic/LLVM.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/ConstraintManager.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/DynamicTypeInfo.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/Environment.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/ProgramState_Fwd.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/SValBuilder.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/Store.h"`
`#include "llvm/ADT/FoldingSet.h"`
`#include "llvm/ADT/ImmutableMap.h"`
`#include "llvm/Support/Allocator.h"`
`#include <utility>`
Include dependency graph for ProgramState.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::ento::ProgramStatePartialTrait< T >
struct | clang::ento::ProgramStateTrait< T >
class | clang::ento::ProgramState
| ProgramState - This class encapsulates: More...
class | clang::ento::ProgramStateManager
class | clang::ento::ScanReachableSymbols
| A utility class that visits the reachable symbols using a custom SymbolVisitor. More...

## Namespaces
| llvm
| Specialize PointerLikeTypeTraits to allow LazyGenerationalUpdatePtr to be placed into a PointerUnion.
| clang
| Dataflow Directional Tag Classes.
| clang::ento

## Typedefs
typedef std::unique_ptr< ConstraintManager >(* | clang::ento::ConstraintManagerCreator) (ProgramStateManager &, SubEngine *)
typedef std::unique_ptr< StoreManager >(* | clang::ento::StoreManagerCreator) (ProgramStateManager &)